@import "../../../../base";
@import "../../../../theme";

.ranking-dialog-comp {
  display: grid;
  grid-row-gap: $mat-cell-dimension * 2;

  .ranking {
    padding: $mat-cell-dimension;

    .ranking-head {
      display: grid;
      grid-row-gap: $mat-cell-dimension;
      margin-bottom: $mat-cell-dimension * 2;
      color: $mdc-theme-primary;

      .participant-head {
        align-self: center;
        justify-self: center;
      }

      .rank-head {
        align-self: center;
        justify-self: center;
      }
    }

    .ranking-body {
      display: grid;

      .ranking-body-item {
        align-self: center;
      }
    }
  }
}